Package org.springframework.beans

# Class PropertyBatchUpdateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.PropertyBatchUpdateException

All Implemented Interfaces:
  `Serializable`

public class PropertyBatchUpdateException extends BeansException
Combined exception, composed of individual PropertyAccessException instances. An object of this class is created at the beginning of the binding process, and errors added to it as necessary.

The binding process continues when it encounters application-level PropertyAccessExceptions, applying those changes that can be applied and storing rejected changes in an object of this class.

Since:
  18 April 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)`
Create a new PropertyBatchUpdateException.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(Class<?> exType)`
`final int`
`getExceptionCount()`
If this returns 0, no errors were encountered during binding.
`String`
`getMessage()`
`PropertyAccessException`
`getPropertyAccessException(String propertyName)`
Return the exception for this field, or `null` if there isn't any.
`final PropertyAccessException[]`
`getPropertyAccessExceptions()`
Return an array of the propertyAccessExceptions stored in this object.
`void`
`printStackTrace(PrintStream ps)`
`void`
`printStackTrace(PrintWriter pw)`
`String`
`toString()`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyBatchUpdateException

public PropertyBatchUpdateException(PropertyAccessException[] propertyAccessExceptions)
Create a new PropertyBatchUpdateException.

Parameters:
  `propertyAccessExceptions` - the List of PropertyAccessExceptions

## Method Details

### getExceptionCount

public final int getExceptionCount()
If this returns 0, no errors were encountered during binding.

### getPropertyAccessExceptions

public final PropertyAccessException[] getPropertyAccessExceptions()
Return an array of the propertyAccessExceptions stored in this object.

Will return the empty array (not `null`) if there were no errors.

### getPropertyAccessException

@Nullable public PropertyAccessException getPropertyAccessException(String propertyName)
Return the exception for this field, or `null` if there isn't any.

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintStream ps)

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter pw)

Overrides:
  `printStackTrace` in class `Throwable`

### contains

public boolean contains(@Nullable Class<?> exType)

Overrides:
  `contains` in class `org.springframework.core.NestedRuntimeException`